#### Description:

The NormMap class implements a Mapping which normalises coordinate values using the astNorm function of a supplied Frame. The number of inputs and outputs of a NormMap are both equal to the number of axes in the supplied Frame.

The forward and inverse transformation of a NormMap are both defined but are identical (that is, they do not form a real inverse pair in that the inverse transformation does not undo the normalisation, instead it reapplies it). However, the astSimplify function will replace neighbouring pairs of forward and inverse NormMaps by a single UnitMap (so long as the Frames encapsulated by the two NormMaps are equal - i.e. have the same class and the same attribute values). This means, for instance, that if a CmpMap contains a NormMap, the CmpMap will still cancel with its own inverse.

#### Constructor Function

astNormMap

#### Inheritance

The NormMap class inherits from the Mapping class.

#### Attributes

The NormMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The NormMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory